Bug 468595 - system-config-network crashes upon start
system-config-network crashes upon start
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
10
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-26 11:26 EDT by Aioanei Rares
Modified: 2009-02-17 12:52 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-17 12:52:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The message that appears in the crash window (2.58 KB, application/octet-stream)
2008-10-26 11:26 EDT, Aioanei Rares
no flags Details

  None (edit)
Description Aioanei Rares 2008-10-26 11:26:39 EDT
Created attachment 321549 [details]
The message that appears in the crash window

Description of problem:

system-config-network crashes upon start

Version-Release number of selected component (if applicable):

1.5.10

How reproducible:

Everytime

Steps to Reproduce:
1.start s-c-n
2.
3.
  
Actual results:

Crash

Expected results:


Additional info:

If started from CLI, it gives the following (after the crash window with the backtrace) :

[arares@localhost ~]$ system-config-network -v
Component: system-config-network              
Version: 1.5.10                               
Summary: TB24531662 NCBackendHal.py:103:getDevices:TypeError: not enough arguments for format string                                                            

Traceback (most recent call last):
  File "/usr/sbin/system-config-network-gui", line 166, in runit
    window = mainDialog()                                       
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 275, in __init__                                                                   
    self.load()                                                                 
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 299, in load                                                                       
    self.loadDevices()                                                          
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 307, in loadDevices                                                                
    devicelist = getDeviceList()                                                
  File "/usr/share/system-config-network/netconfpkg/NCDeviceList.py", line 318, in getDeviceList                                                                
    __DVList.load()                                                             
  File "/usr/share/system-config-network/netconfpkg/NCDeviceList.py", line 78, in load                                                                          
    hwlist = NCHardwareList.getHardwareList()                                   
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line 759, in getHardwareList                                                            
    __HWList.load()                                                             
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line 603, in load                                                                       
    self.updateFromSystem()
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line 483, in updateFromSystem
    self.updateFromHal(hdellist)
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line 448, in updateFromHal
    cards = hal.probeCards()
  File "/usr/share/system-config-network/netconfpkg/NCBackendHal.py", line 124,in probeCards
    card = self.getDevices(udi)
  File "/usr/share/system-config-network/netconfpkg/NCBackendHal.py", line 103,in getDevices
    hw.Description = "%s %s" % self.getVendor(udi)
TypeError: not enough arguments for format string

Local variables in innermost frame:
category: net
obj: <ProxyObject wrapping <dbus._dbus.SystemBus (system) at 0x18151d0> :1.0 /org/freedesktop/Hal/devices/net_f2_c0_b4_86_2e_ce at 0x1c21c90>
name: pan0
arp_proto_hw_id: 1
hwf: {'Wireless': {0: <class netconfpkg.plugins.NCHWWireless.HwWireless at 0x10ae0b0>}, 'Ethernet': {0: <class netconfpkg.plugins.NCHWEthernet.HwEthernet at 0x108cd10>}, 'Modem': {0: <class netconfpkg.plugins.NCHWModem.HwModem at 0x108ce30>}, 'ISDN': {0: <class netconfpkg.plugins.NCHWIsdn.HwIsdn at 0x108cdd0>}, 'TokenRing': {0: <class netconfpkg.plugins.NCHWTokenring.HwTokenring at 0x108cfb0>}}
self: <netconfpkg.NCBackendHal.NCBackendHal instance at 0x1c1d950>
hw: Hardware.Status=inactive
Hardware.Name=pan0
Hardware.Type=Ethernet

hwc: netconfpkg.plugins.NCHWEthernet.HwEthernet
htype: Ethernet
udi: /org/freedesktop/Hal/devices/net_f2_c0_b4_86_2e_ce
getHardwareFactory: <function getHardwareFactory at 0x10a6b90>
Comment 1 lukovszkil 2008-10-28 17:31:31 EDT
I have the same error using a T43 with snapshot 3.
Comment 2 Bug Zapper 2008-11-25 23:15:43 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Jiri Moskovcak 2008-11-28 08:08:32 EST
This should be fixed in 1.5.94-2. This version should hit the testing repository soon.
Comment 4 Jon Dufresne 2009-02-17 12:52:00 EST
Thank you for the bug report. This particular bug was fixed and an updated package
was published for download. If you find that the bug still persists feel free to reopen this bug. Also, please feel free to report any further bugs you find.

You can obtain the updated package by typing 'yum update <package>' or using the
graphical updater, Software Update.

Note You need to log in before you can comment on or make changes to this bug.